.btn {
    color: #000;
    outline: none;
    cursor: pointer;
    font-weight: 400;
    font-size: rem(16);
    line-height: rem(24);
    padding: rem(11) rem(24);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    vertical-align: middle;
    border: rem(1) solid transparent;
    background: #ffdd2d;
    border-radius: rem(4);
    fill: #000;

    &:hover {
        color: #000;
        background: #fcc72e;
        text-decoration: none;
        fill: #000;
    }

    &:active {
        background: #ffdd2d;
    }

    &:focus,
    &.focus {
        outline: 0;
        box-shadow: 0 0 0 size-rel(5px) rgba(92, 173, 255, 0.5);
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(24);
    }

    span + i {
        margin-left: rem(6);
    }

    i + span {
        margin-left: rem(6);
    }
}

.btn-link {
    margin: 0;
    padding: 0;
    color: black;
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-flex;
    background: transparent;
    text-decoration: underline;

    &:hover {
        color: black;
        text-decoration: none;
    }
}
